%if 0%{?el7}
%define dist .el7
%endif

Summary: Library for working with files using the mp4 container format
Name: libmp4v2
Version: 2.0.0
Release: 4%{?dist}
License: MPLv1.1
Group: System Environment/Libraries
URL: http://code.google.com/p/mp4v2/
Source0: http://mp4v2.googlecode.com/files/mp4v2-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch0: 0001-libmp4v2-2.0.0-gcc7-fix.patch

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.


%package devel
Summary: Development files for the mp4v2 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.


%prep
%setup -q -n mp4v2-%{version}
%patch0 -p1

%build
%configure \
    --disable-static \
    --disable-dependency-tracking
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__rm} -rf %{buildroot}%{_mandir}/manm/


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,0755)
%doc README INSTALL doc/*.txt
%{_includedir}/mp4v2/*.h
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man?/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.0.0-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.0.0-3
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.0.0-2
- Rebuilt for fc22

* Tue Nov 11 2014 momo-i <webmaster@momo-i.org> - 2.0.0-1
- Update to 2.0.0
